import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:niogu_app/core/enums/report_type.dart';

final filteredByOutletProvider = StateProvider.family
    .autoDispose<String?, ReportType>((ref, type) => null);

final filteredByDateTimeProvider = StateProvider.family
    .autoDispose<DateTimeRange?, ReportType>((ref, type) => null);
